Can't get pspell to work

Problems with the Windows version of XAMPP, questions, comments, and anything related.

Can't get pspell to work

Postby devuser » 25. July 2010 17:24

I've enabled pspell in my php/php.ini file (extension=php_pspell.dll), have both the pspell and aspell dll's installed and have restarted apache, but when i try to access the pspell functions, I get a Microsoft dialog that states: "Apache HTTP Server has encountered a problem and needs to close." Does anyone know how to what the problem is or if this will even work in XAMPP?

XAMPP (Basispaket) version 1.7.1
devuser
 
Posts: 8
Joined: 13. July 2009 15:50

Re: Can't get pspell to work

Postby JonB » 25. July 2010 21:32

where did you get the aspell binary?

My 'pure guess' is that it is not a VC6 compliation for PHP 5.3, so prolly making things go boom :!:

read this:

http://www.phpbuilder.com/manual/ref.aspell.php

Good Luck
:roll:
User avatar
JonB
AF Moderator
 
Posts: 3210
Joined: 12. April 2010 16:41
Location: Land of the Blazing Sun
Operating System: Windows XP/7 - Fedora 15 1.7.7

Re: Can't get pspell to work

Postby devuser » 26. July 2010 00:14

The version of XAMPP I installed is the last one before the upgrade to php 5.3. It already had both dll's installed but I downloaded them from the web thinking maybe there were newer versions. I'm not using ASpell at all. All of the code I have uses the pspell class. In fact, I copied/pasted the pspell example from php.net thinking I was doing something wrong but it failed the same way. After enabling it in php.ini and having problems, I searched the web for how to fix it and everything I found mentioned having to have the aspell dll. So it sounds like I have eveything I need but it doesn't work.
devuser
 
Posts: 8
Joined: 13. July 2009 15:50

Re: Can't get pspell to work

Postby JonB » 26. July 2010 01:00

Use the php_pspell.dll that is included with your version of XAMPP, it should be in \xampp\php\ext.

You kinda omitted/stepped around the XAMPP version you have installed. 1.7.1?

The binaries have to be VC6 binaries, compiled for the exact version of PHP/Apache you have installed. -- Because XAMPP for Windows' PHP is compiled as an Apache Module.

You can search the forum on 'compile', 'VC6' or 'VC9' for the details or read this:

http://windows.php.net/download

8)
OSF
User avatar
JonB
AF Moderator
 
Posts: 3210
Joined: 12. April 2010 16:41
Location: Land of the Blazing Sun
Operating System: Windows XP/7 - Fedora 15 1.7.7

Re: Can't get pspell to work

Postby devuser » 26. July 2010 23:36

The dll was in the php directory so I copied it to php/ext, enabled the option in php.ini andrestarted apache - same failure.

The number I posted is the only version number I could find.

My installation of XAMPP was installed from a package, xampp-win32-1.7.1.exe, so all of the included files should be compatible.
devuser
 
Posts: 8
Joined: 13. July 2009 15:50


Return to XAMPP for Windows

Who is online

Users browsing this forum: No registered users and 37 guests